public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2011-09-16 15:38 Michal Gorny (mgorny)
  0 siblings, 0 replies; 26+ messages in thread
From: Michal Gorny (mgorny) @ 2011-09-16 15:38 UTC (permalink / raw
  To: gentoo-commits

mgorny      11/09/16 15:38:13

  Modified:             autotools-utils.eclass
  Log:
  Refactor remove_libtool_files() to simplify conditions.

Revision  Changes    Path
1.17                 eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.17&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.17&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.16&r2=1.17

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.16
retrieving revision 1.17
diff -u -r1.16 -r1.17
--- autotools-utils.eclass	16 Sep 2011 15:37:59 -0000	1.16
+++ autotools-utils.eclass	16 Sep 2011 15:38:13 -0000	1.17
@@ -1,6 +1,6 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.16 2011/09/16 15:37:59 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.17 2011/09/16 15:38:13 mgorny Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
@@ -162,18 +162,20 @@
 		local archivefile=${f/%.la/.a}
 		[[ "${f}" != "${archivefile}" ]] || die 'regex sanity check failed'
 
-		# Keep .la files when:
-		# - they have shouldnotlink=yes - likely plugins,
-		# - respective static archive exists.
-		if [[ ${removing_all} || ( -z ${shouldnotlink} && ! -f ${archivefile} ) ]]; then
-			einfo "Removing unnecessary ${f#${D%/}}"
-			rm -f "${f}" || die
-		fi
-
 		# Remove static libs we're not supposed to link against
 		if [[ ${shouldnotlink} ]]; then
 			einfo "Removing unnecessary ${archivefile#${D%/}}"
 			rm -f "${archivefile}" || die
+			# We're never going to remove the .la file.
+			[[ ${removing_all} ]] || continue
+		fi
+
+		# Keep .la files when:
+		# - they have shouldnotlink=yes - likely plugins (handled above),
+		# - respective static archive exists.
+		if [[ ${removing_all} || ! -f ${archivefile} ]]; then
+			einfo "Removing unnecessary ${f#${D%/}}"
+			rm -f "${f}" || die
 		fi
 	done
 }






^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2014-07-31 23:24 Maciej Mrozowski (reavertm)
  0 siblings, 0 replies; 26+ messages in thread
From: Maciej Mrozowski (reavertm) @ 2014-07-31 23:24 UTC (permalink / raw
  To: gentoo-commits

reavertm    14/07/31 23:24:56

  Modified:             autotools-utils.eclass
  Log:
  When probing for supported test targets for make, explicity ignore recipe errors even if we run make in dry-run mode.

Revision  Changes    Path
1.74                 eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.74&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.74&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.73&r2=1.74

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.73
retrieving revision 1.74
diff -u -r1.73 -r1.74
--- autotools-utils.eclass	11 Mar 2014 23:55:44 -0000	1.73
+++ autotools-utils.eclass	31 Jul 2014 23:24:56 -0000	1.74
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.73 2014/03/11 23:55:44 floppym Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.74 2014/07/31 23:24:56 reavertm Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
@@ -468,9 +468,9 @@
 	_check_build_dir
 	pushd "${BUILD_DIR}" > /dev/null || die
 
-	if make -n check "${@}" &>/dev/null; then
+	if make -ni check "${@}" &>/dev/null; then
 		emake check "${@}" || die 'emake check failed.'
-	elif make -n test "${@}" &>/dev/null; then
+	elif make -ni test "${@}" &>/dev/null; then
 		emake test "${@}" || die 'emake test failed.'
 	fi
 





^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2012-06-08 17:50 Michal Gorny (mgorny)
  0 siblings, 0 replies; 26+ messages in thread
From: Michal Gorny (mgorny) @ 2012-06-08 17:50 UTC (permalink / raw
  To: gentoo-commits

mgorny      12/06/08 17:50:10

  Modified:             autotools-utils.eclass
  Log:
  typo.

Revision  Changes    Path
1.56                 eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.56&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.56&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.55&r2=1.56

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.55
retrieving revision 1.56
diff -u -r1.55 -r1.56
--- autotools-utils.eclass	6 Jun 2012 17:17:30 -0000	1.55
+++ autotools-utils.eclass	8 Jun 2012 17:50:10 -0000	1.56
@@ -1,6 +1,6 @@
 # Copyright 1999-2012 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.55 2012/06/06 17:17:30 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.56 2012/06/08 17:50:10 mgorny Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
@@ -13,7 +13,7 @@
 # out of source build with overridable build dir location, static archives
 # handling, libtool files removal.
 #
-# Please note note that autotools-utils does not support mixing of its phase
+# Please note that autotools-utils does not support mixing of its phase
 # functions with regular econf/emake calls. If necessary, please call
 # autotools-utils_src_compile instead of the latter.
 #






^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2011-10-14 20:28 Michal Gorny (mgorny)
  0 siblings, 0 replies; 26+ messages in thread
From: Michal Gorny (mgorny) @ 2011-10-14 20:28 UTC (permalink / raw
  To: gentoo-commits

mgorny      11/10/14 20:28:29

  Modified:             autotools-utils.eclass
  Log:
  Use elibtoolize from libtool.eclass to fix libtool magic.
  
  We're calling it with '--patch-only' to avoid heavy changes to ebuilds.
  This should handle gracefully eautoreconfed packages and those not using
  libtool as well (in worst case, it should try to apply patches twice).

Revision  Changes    Path
1.25                 eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.25&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.25&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.24&r2=1.25

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.24
retrieving revision 1.25
diff -u -r1.24 -r1.25
--- autotools-utils.eclass	23 Sep 2011 07:56:41 -0000	1.24
+++ autotools-utils.eclass	14 Oct 2011 20:28:29 -0000	1.25
@@ -1,6 +1,6 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.24 2011/09/23 07:56:41 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.25 2011/10/14 20:28:29 mgorny Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
@@ -89,7 +89,7 @@
 	*) die "EAPI=${EAPI} is not supported" ;;
 esac
 
-inherit autotools base eutils
+inherit autotools base eutils libtool
 
 EXPORT_FUNCTIONS src_prepare src_configure src_compile src_install src_test
 
@@ -212,6 +212,7 @@
 	debug-print-function ${FUNCNAME} "$@"
 
 	base_src_prepare
+	elibtoolize --patch-only
 }
 
 # @FUNCTION: autotools-utils_src_configure






^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2011-09-23  7:56 Michal Gorny (mgorny)
  0 siblings, 0 replies; 26+ messages in thread
From: Michal Gorny (mgorny) @ 2011-09-23  7:56 UTC (permalink / raw
  To: gentoo-commits

mgorny      11/09/23 07:56:41

  Modified:             autotools-utils.eclass
  Log:
  Reuse in_iuse() from eutils.eclass.

Revision  Changes    Path
1.24                 eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.24&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.24&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.23&r2=1.24

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.23
retrieving revision 1.24
diff -u -r1.23 -r1.24
--- autotools-utils.eclass	18 Sep 2011 21:03:59 -0000	1.23
+++ autotools-utils.eclass	23 Sep 2011 07:56:41 -0000	1.24
@@ -1,6 +1,6 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.23 2011/09/18 21:03:59 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.24 2011/09/23 07:56:41 mgorny Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
@@ -233,7 +233,7 @@
 	local econfargs=()
 
 	# Handle debug found in IUSE
-	if has debug ${IUSE//+}; then
+	if in_iuse debug; then
 		local debugarg=$(use_enable debug)
 		if ! has "${debugarg}" "${myeconfargs[@]}"; then
 			eqawarn 'Implicit $(use_enable debug) for IUSE="debug" is no longer supported.'
@@ -243,7 +243,7 @@
 	fi
 
 	# Handle static-libs found in IUSE, disable them by default
-	if has static-libs ${IUSE//+}; then
+	if in_iuse static-libs; then
 		econfargs+=(
 			--enable-shared
 			$(use_enable static-libs static)






^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2011-09-18 21:03 Michal Gorny (mgorny)
  0 siblings, 0 replies; 26+ messages in thread
From: Michal Gorny (mgorny) @ 2011-09-18 21:03 UTC (permalink / raw
  To: gentoo-commits

mgorny      11/09/18 21:03:59

  Modified:             autotools-utils.eclass
  Log:
  Fix the example to use explicit $(use_enable debug).

Revision  Changes    Path
1.23                 eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.23&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.23&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.22&r2=1.23

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.22
retrieving revision 1.23
diff -u -r1.22 -r1.23
--- autotools-utils.eclass	18 Sep 2011 07:57:55 -0000	1.22
+++ autotools-utils.eclass	18 Sep 2011 21:03:59 -0000	1.23
@@ -1,6 +1,6 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.22 2011/09/18 07:57:55 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.23 2011/09/18 21:03:59 mgorny Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
@@ -58,6 +58,7 @@
 #
 # src_configure() {
 # 	local myeconfargs=(
+# 		$(use_enable debug)
 # 		$(use_with qt4)
 # 		$(use_enable threads multithreading)
 # 		$(use_with tiff)






^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2011-09-18  7:57 Michal Gorny (mgorny)
  0 siblings, 0 replies; 26+ messages in thread
From: Michal Gorny (mgorny) @ 2011-09-18  7:57 UTC (permalink / raw
  To: gentoo-commits

mgorny      11/09/18 07:57:55

  Modified:             autotools-utils.eclass
  Log:
  Fail if myeconfargs is not an array.

Revision  Changes    Path
1.22                 eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.22&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.22&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.21&r2=1.22

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.21
retrieving revision 1.22
diff -u -r1.21 -r1.22
--- autotools-utils.eclass	18 Sep 2011 07:57:34 -0000	1.21
+++ autotools-utils.eclass	18 Sep 2011 07:57:55 -0000	1.22
@@ -1,6 +1,6 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.21 2011/09/18 07:57:34 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.22 2011/09/18 07:57:55 mgorny Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
@@ -225,6 +225,9 @@
 autotools-utils_src_configure() {
 	debug-print-function ${FUNCNAME} "$@"
 
+	[[ -z ${myeconfargs+1} || $(declare -p myeconfargs) == 'declare -a'* ]] \
+		|| die 'autotools-utils.eclass: myeconfargs has to be an array.'
+
 	# Common args
 	local econfargs=()
 






^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2011-09-18  7:57 Michal Gorny (mgorny)
  0 siblings, 0 replies; 26+ messages in thread
From: Michal Gorny (mgorny) @ 2011-09-18  7:57 UTC (permalink / raw
  To: gentoo-commits

mgorny      11/09/18 07:57:34

  Modified:             autotools-utils.eclass
  Log:
  Deprecate implicit IUSE=debug.

Revision  Changes    Path
1.21                 eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.21&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.21&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.20&r2=1.21

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.20
retrieving revision 1.21
diff -u -r1.20 -r1.21
--- autotools-utils.eclass	16 Sep 2011 15:38:54 -0000	1.20
+++ autotools-utils.eclass	18 Sep 2011 07:57:34 -0000	1.21
@@ -1,6 +1,6 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.20 2011/09/16 15:38:54 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.21 2011/09/18 07:57:34 mgorny Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
@@ -88,7 +88,7 @@
 	*) die "EAPI=${EAPI} is not supported" ;;
 esac
 
-inherit autotools base
+inherit autotools base eutils
 
 EXPORT_FUNCTIONS src_prepare src_configure src_compile src_install src_test
 
@@ -220,8 +220,6 @@
 # in myeconfargs are passed here to econf. Additionally following USE
 # flags are known:
 #
-# IUSE="debug" passes --disable-debug/--enable-debug to econf respectively.
-#
 # IUSE="static-libs" passes --enable-shared and either --disable-static/--enable-static
 # to econf respectively.
 autotools-utils_src_configure() {
@@ -232,7 +230,12 @@
 
 	# Handle debug found in IUSE
 	if has debug ${IUSE//+}; then
-		econfargs+=($(use_enable debug))
+		local debugarg=$(use_enable debug)
+		if ! has "${debugarg}" "${myeconfargs[@]}"; then
+			eqawarn 'Implicit $(use_enable debug) for IUSE="debug" is no longer supported.'
+			eqawarn 'Please add the necessary arg to myeconfargs if requested.'
+			eqawarn 'The autotools-utils eclass will stop warning about it on Oct 15th.'
+		fi
 	fi
 
 	# Handle static-libs found in IUSE, disable them by default






^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2011-09-16 15:38 Michal Gorny (mgorny)
  0 siblings, 0 replies; 26+ messages in thread
From: Michal Gorny (mgorny) @ 2011-09-16 15:38 UTC (permalink / raw
  To: gentoo-commits

mgorny      11/09/16 15:38:54

  Modified:             autotools-utils.eclass
  Log:
  Explain .la removal reasons in output.

Revision  Changes    Path
1.20                 eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.20&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.20&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.19&r2=1.20

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.19
retrieving revision 1.20
diff -u -r1.19 -r1.20
--- autotools-utils.eclass	16 Sep 2011 15:38:40 -0000	1.19
+++ autotools-utils.eclass	16 Sep 2011 15:38:54 -0000	1.20
@@ -1,6 +1,6 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.19 2011/09/16 15:38:40 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.20 2011/09/16 15:38:54 mgorny Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
@@ -186,16 +186,17 @@
 		# - they are covered by a .pc file already,
 		# - they don't provide any new information (no libs & no flags).
 		local removing
-		if [[ ${removing_all} ]]; then removing=1
-		elif [[ ! -f ${archivefile} ]]; then removing=1
-		elif has "$(basename "${f}")" "${pc_libs[@]}"; then removing=1
+		if [[ ${removing_all} ]]; then removing='forced'
+		elif [[ ! -f ${archivefile} ]]; then removing='no static archive'
+		elif has "$(basename "${f}")" "${pc_libs[@]}"; then
+			removing='covered by .pc'
 		elif [[ ! $(sed -n -e \
 			"s/^\(dependency_libs\|inherited_linker_flags\)='\(.*\)'$/\2/p" \
-			"${f}") ]]; then removing=1
+			"${f}") ]]; then removing='no libs & flags'
 		fi
 
 		if [[ ${removing} ]]; then
-			einfo "Removing unnecessary ${f#${D%/}}"
+			einfo "Removing unnecessary ${f#${D%/}} (${removing})"
 			rm -f "${f}" || die
 		fi
 	done






^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2011-09-16 15:38 Michal Gorny (mgorny)
  0 siblings, 0 replies; 26+ messages in thread
From: Michal Gorny (mgorny) @ 2011-09-16 15:38 UTC (permalink / raw
  To: gentoo-commits

mgorny      11/09/16 15:38:40

  Modified:             autotools-utils.eclass
  Log:
  Remove static libs covered by .pc files as well.

Revision  Changes    Path
1.19                 eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.19&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.19&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.18&r2=1.19

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.18
retrieving revision 1.19
diff -u -r1.18 -r1.19
--- autotools-utils.eclass	16 Sep 2011 15:38:26 -0000	1.18
+++ autotools-utils.eclass	16 Sep 2011 15:38:40 -0000	1.19
@@ -1,6 +1,6 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.18 2011/09/16 15:38:26 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.19 2011/09/16 15:38:40 mgorny Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
@@ -156,6 +156,15 @@
 		esac
 	fi
 
+	local pc_libs=()
+	if [[ ! ${removing_all} ]]; then
+		local arg
+		for arg in $(find "${D}" -name '*.pc' -exec \
+					sed -n -e 's;^Libs:;;p' {} +); do
+			[[ ${arg} == -l* ]] && pc_libs+=(lib${arg#-l}.la)
+		done
+	fi
+
 	local f
 	find "${D}" -type f -name '*.la' -print0 | while read -r -d '' f; do
 		local shouldnotlink=$(sed -ne '/^shouldnotlink=yes$/p' "${f}")
@@ -174,10 +183,12 @@
 		# Remove .la files when:
 		# - user explicitly wants us to remove all .la files,
 		# - respective static archive doesn't exist,
+		# - they are covered by a .pc file already,
 		# - they don't provide any new information (no libs & no flags).
 		local removing
 		if [[ ${removing_all} ]]; then removing=1
 		elif [[ ! -f ${archivefile} ]]; then removing=1
+		elif has "$(basename "${f}")" "${pc_libs[@]}"; then removing=1
 		elif [[ ! $(sed -n -e \
 			"s/^\(dependency_libs\|inherited_linker_flags\)='\(.*\)'$/\2/p" \
 			"${f}") ]]; then removing=1






^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2011-09-16 15:38 Michal Gorny (mgorny)
  0 siblings, 0 replies; 26+ messages in thread
From: Michal Gorny (mgorny) @ 2011-09-16 15:38 UTC (permalink / raw
  To: gentoo-commits

mgorny      11/09/16 15:38:27

  Modified:             autotools-utils.eclass
  Log:
  Drop 'empty' .la files as well (those lacking libs & flags).

Revision  Changes    Path
1.18                 eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.18&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.18&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.17&r2=1.18

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.17
retrieving revision 1.18
diff -u -r1.17 -r1.18
--- autotools-utils.eclass	16 Sep 2011 15:38:13 -0000	1.17
+++ autotools-utils.eclass	16 Sep 2011 15:38:26 -0000	1.18
@@ -1,6 +1,6 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.17 2011/09/16 15:38:13 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.18 2011/09/16 15:38:26 mgorny Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
@@ -162,18 +162,28 @@
 		local archivefile=${f/%.la/.a}
 		[[ "${f}" != "${archivefile}" ]] || die 'regex sanity check failed'
 
-		# Remove static libs we're not supposed to link against
+		# Remove static libs we're not supposed to link against.
 		if [[ ${shouldnotlink} ]]; then
 			einfo "Removing unnecessary ${archivefile#${D%/}}"
 			rm -f "${archivefile}" || die
-			# We're never going to remove the .la file.
+			# The .la file may be used by a module loader, so avoid removing it
+			# unless explicitly requested.
 			[[ ${removing_all} ]] || continue
 		fi
 
-		# Keep .la files when:
-		# - they have shouldnotlink=yes - likely plugins (handled above),
-		# - respective static archive exists.
-		if [[ ${removing_all} || ! -f ${archivefile} ]]; then
+		# Remove .la files when:
+		# - user explicitly wants us to remove all .la files,
+		# - respective static archive doesn't exist,
+		# - they don't provide any new information (no libs & no flags).
+		local removing
+		if [[ ${removing_all} ]]; then removing=1
+		elif [[ ! -f ${archivefile} ]]; then removing=1
+		elif [[ ! $(sed -n -e \
+			"s/^\(dependency_libs\|inherited_linker_flags\)='\(.*\)'$/\2/p" \
+			"${f}") ]]; then removing=1
+		fi
+
+		if [[ ${removing} ]]; then
 			einfo "Removing unnecessary ${f#${D%/}}"
 			rm -f "${f}" || die
 		fi






^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2011-09-16 15:37 Michal Gorny (mgorny)
  0 siblings, 0 replies; 26+ messages in thread
From: Michal Gorny (mgorny) @ 2011-09-16 15:37 UTC (permalink / raw
  To: gentoo-commits

mgorny      11/09/16 15:37:59

  Modified:             autotools-utils.eclass
  Log:
  Check command-line args completely in remove_libtool_files().

Revision  Changes    Path
1.16                 eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.16&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.16&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.15&r2=1.16

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.15
retrieving revision 1.16
diff -u -r1.15 -r1.16
--- autotools-utils.eclass	16 Sep 2011 15:37:41 -0000	1.15
+++ autotools-utils.eclass	16 Sep 2011 15:37:59 -0000	1.16
@@ -1,6 +1,6 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.15 2011/09/16 15:37:41 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.16 2011/09/16 15:37:59 mgorny Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
@@ -144,6 +144,17 @@
 # See autotools-utils_src_install for reference.
 remove_libtool_files() {
 	debug-print-function ${FUNCNAME} "$@"
+	local removing_all
+	[[ ${#} -le 1 ]] || die "Invalid number of args to ${FUNCNAME}()"
+	if [[ ${#} -eq 1 ]]; then
+		case "${1}" in
+			all)
+				removing_all=1
+				;;
+			*)
+				die "Invalid argument to ${FUNCNAME}(): ${1}"
+		esac
+	fi
 
 	local f
 	find "${D}" -type f -name '*.la' -print0 | while read -r -d '' f; do
@@ -154,7 +165,7 @@
 		# Keep .la files when:
 		# - they have shouldnotlink=yes - likely plugins,
 		# - respective static archive exists.
-		if [[ "$1" == 'all' || ( -z ${shouldnotlink} && ! -f ${archivefile} ) ]]; then
+		if [[ ${removing_all} || ( -z ${shouldnotlink} && ! -f ${archivefile} ) ]]; then
 			einfo "Removing unnecessary ${f#${D%/}}"
 			rm -f "${f}" || die
 		fi






^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2011-09-16 15:37 Michal Gorny (mgorny)
  0 siblings, 0 replies; 26+ messages in thread
From: Michal Gorny (mgorny) @ 2011-09-16 15:37 UTC (permalink / raw
  To: gentoo-commits

mgorny      11/09/16 15:37:42

  Modified:             autotools-utils.eclass
  Log:
  Clean up & simplify la removal code a little.

Revision  Changes    Path
1.15                 eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.15&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.15&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.14&r2=1.15

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.14
retrieving revision 1.15
diff -u -r1.14 -r1.15
--- autotools-utils.eclass	16 Sep 2011 15:33:19 -0000	1.14
+++ autotools-utils.eclass	16 Sep 2011 15:37:41 -0000	1.15
@@ -1,6 +1,6 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.14 2011/09/16 15:33:19 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.15 2011/09/16 15:37:41 mgorny Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
@@ -149,21 +149,20 @@
 	find "${D}" -type f -name '*.la' -print0 | while read -r -d '' f; do
 		local shouldnotlink=$(sed -ne '/^shouldnotlink=yes$/p' "${f}")
 		local archivefile=${f/%.la/.a}
+		[[ "${f}" != "${archivefile}" ]] || die 'regex sanity check failed'
 
 		# Keep .la files when:
 		# - they have shouldnotlink=yes - likely plugins,
 		# - respective static archive exists.
 		if [[ "$1" == 'all' || ( -z ${shouldnotlink} && ! -f ${archivefile} ) ]]; then
 			einfo "Removing unnecessary ${f#${D%/}}"
-			rm -f "${f}"
+			rm -f "${f}" || die
 		fi
 
 		# Remove static libs we're not supposed to link against
-		if [[ -n ${shouldnotlink} ]]; then
-			local remove=${f/%.la/.a}
-			[[ "${f}" != "${remove}" ]] || die 'regex sanity check failed'
-			einfo "Removing unnecessary ${remove#${D%/}}"
-			rm -f "${remove}"
+		if [[ ${shouldnotlink} ]]; then
+			einfo "Removing unnecessary ${archivefile#${D%/}}"
+			rm -f "${archivefile}" || die
 		fi
 	done
 }






^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2011-09-16 15:33 Michal Gorny (mgorny)
  0 siblings, 0 replies; 26+ messages in thread
From: Michal Gorny (mgorny) @ 2011-09-16 15:33 UTC (permalink / raw
  To: gentoo-commits

mgorny      11/09/16 15:33:19

  Modified:             autotools-utils.eclass
  Log:
  For .la removal, look for static archives rather than USE=static-libs.

Revision  Changes    Path
1.14                 eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.14&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.14&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.13&r2=1.14

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.13
retrieving revision 1.14
diff -u -r1.13 -r1.14
--- autotools-utils.eclass	16 Sep 2011 15:29:22 -0000	1.13
+++ autotools-utils.eclass	16 Sep 2011 15:33:19 -0000	1.14
@@ -1,6 +1,6 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.13 2011/09/16 15:29:22 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.14 2011/09/16 15:33:19 mgorny Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
@@ -132,13 +132,13 @@
 }
 
 # @FUNCTION: remove_libtool_files
-# @USAGE: [all|none]
+# @USAGE: [all]
 # @DESCRIPTION:
 # Determines unnecessary libtool files (.la) and libtool static archives (.a)
 # and removes them from installation image.
+#
 # To unconditionally remove all libtool files, pass 'all' as argument.
-# To leave all libtool files alone, pass 'none' as argument.
-# Unnecessary static archives are removed in any case.
+# Otherwise, libtool archives required for static linking will be preserved.
 #
 # In most cases it's not necessary to manually invoke this function.
 # See autotools-utils_src_install for reference.
@@ -147,14 +147,17 @@
 
 	local f
 	find "${D}" -type f -name '*.la' -print0 | while read -r -d '' f; do
-		# Keep only .la files with shouldnotlink=yes - likely plugins
 		local shouldnotlink=$(sed -ne '/^shouldnotlink=yes$/p' "${f}")
-		if [[  "$1" == 'all' || -z ${shouldnotlink} ]]; then
-			if [[ "$1" != 'none' ]]; then
-				einfo "Removing unnecessary ${f#${D%/}}"
-				rm -f "${f}"
-			fi
+		local archivefile=${f/%.la/.a}
+
+		# Keep .la files when:
+		# - they have shouldnotlink=yes - likely plugins,
+		# - respective static archive exists.
+		if [[ "$1" == 'all' || ( -z ${shouldnotlink} && ! -f ${archivefile} ) ]]; then
+			einfo "Removing unnecessary ${f#${D%/}}"
+			rm -f "${f}"
 		fi
+
 		# Remove static libs we're not supposed to link against
 		if [[ -n ${shouldnotlink} ]]; then
 			local remove=${f/%.la/.a}
@@ -245,9 +248,7 @@
 	popd > /dev/null
 
 	# Remove libtool files and unnecessary static libs
-	local args
-	has static-libs ${IUSE//+} && ! use static-libs || args='none'
-	remove_libtool_files ${args}
+	remove_libtool_files
 }
 
 # @FUNCTION: autotools-utils_src_test






^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2011-09-16 15:29 Michal Gorny (mgorny)
  0 siblings, 0 replies; 26+ messages in thread
From: Michal Gorny (mgorny) @ 2011-09-16 15:29 UTC (permalink / raw
  To: gentoo-commits

mgorny      11/09/16 15:29:22

  Modified:             autotools-utils.eclass
  Log:
  Strip ${D} from removal message to shorten it.

Revision  Changes    Path
1.13                 eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.13&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.13&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.12&r2=1.13

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -r1.12 -r1.13
--- autotools-utils.eclass	16 Sep 2011 15:20:03 -0000	1.12
+++ autotools-utils.eclass	16 Sep 2011 15:29:22 -0000	1.13
@@ -1,6 +1,6 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.12 2011/09/16 15:20:03 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.13 2011/09/16 15:29:22 mgorny Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
@@ -151,7 +151,7 @@
 		local shouldnotlink=$(sed -ne '/^shouldnotlink=yes$/p' "${f}")
 		if [[  "$1" == 'all' || -z ${shouldnotlink} ]]; then
 			if [[ "$1" != 'none' ]]; then
-				einfo "Removing unnecessary ${f}"
+				einfo "Removing unnecessary ${f#${D%/}}"
 				rm -f "${f}"
 			fi
 		fi
@@ -159,7 +159,7 @@
 		if [[ -n ${shouldnotlink} ]]; then
 			local remove=${f/%.la/.a}
 			[[ "${f}" != "${remove}" ]] || die 'regex sanity check failed'
-			einfo "Removing unnecessary ${remove}"
+			einfo "Removing unnecessary ${remove#${D%/}}"
 			rm -f "${remove}"
 		fi
 	done






^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2011-09-16 15:20 Michal Gorny (mgorny)
  0 siblings, 0 replies; 26+ messages in thread
From: Michal Gorny (mgorny) @ 2011-09-16 15:20 UTC (permalink / raw
  To: gentoo-commits

mgorny      11/09/16 15:20:03

  Modified:             autotools-utils.eclass
  Log:
  Fix handling whitespace in filenames when looking for .la files.

Revision  Changes    Path
1.12                 eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.12&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.12&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.11&r2=1.12

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.11
retrieving revision 1.12
diff -u -r1.11 -r1.12
--- autotools-utils.eclass	12 Sep 2011 20:32:41 -0000	1.11
+++ autotools-utils.eclass	16 Sep 2011 15:20:03 -0000	1.12
@@ -1,6 +1,6 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.11 2011/09/12 20:32:41 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.12 2011/09/16 15:20:03 mgorny Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
@@ -146,7 +146,7 @@
 	debug-print-function ${FUNCNAME} "$@"
 
 	local f
-	for f in $(find "${D}" -type f -name '*.la'); do
+	find "${D}" -type f -name '*.la' -print0 | while read -r -d '' f; do
 		# Keep only .la files with shouldnotlink=yes - likely plugins
 		local shouldnotlink=$(sed -ne '/^shouldnotlink=yes$/p' "${f}")
 		if [[  "$1" == 'all' || -z ${shouldnotlink} ]]; then






^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2011-09-12 20:32 Michal Gorny (mgorny)
  0 siblings, 0 replies; 26+ messages in thread
From: Michal Gorny (mgorny) @ 2011-09-12 20:32 UTC (permalink / raw
  To: gentoo-commits

mgorny      11/09/12 20:32:41

  Modified:             autotools-utils.eclass
  Log:
  Use einfo to make .{la,a} removals more visible.

Revision  Changes    Path
1.11                 eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.11&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.11&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.10&r2=1.11

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -r1.10 -r1.11
--- autotools-utils.eclass	12 Sep 2011 19:11:20 -0000	1.10
+++ autotools-utils.eclass	12 Sep 2011 20:32:41 -0000	1.11
@@ -1,6 +1,6 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.10 2011/09/12 19:11:20 reavertm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.11 2011/09/12 20:32:41 mgorny Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
@@ -151,7 +151,7 @@
 		local shouldnotlink=$(sed -ne '/^shouldnotlink=yes$/p' "${f}")
 		if [[  "$1" == 'all' || -z ${shouldnotlink} ]]; then
 			if [[ "$1" != 'none' ]]; then
-				echo "Removing unnecessary ${f}"
+				einfo "Removing unnecessary ${f}"
 				rm -f "${f}"
 			fi
 		fi
@@ -159,7 +159,7 @@
 		if [[ -n ${shouldnotlink} ]]; then
 			local remove=${f/%.la/.a}
 			[[ "${f}" != "${remove}" ]] || die 'regex sanity check failed'
-			echo "Removing unnecessary ${remove}"
+			einfo "Removing unnecessary ${remove}"
 			rm -f "${remove}"
 		fi
 	done






^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2011-09-12 19:11 Maciej Mrozowski (reavertm)
  0 siblings, 0 replies; 26+ messages in thread
From: Maciej Mrozowski (reavertm) @ 2011-09-12 19:11 UTC (permalink / raw
  To: gentoo-commits

reavertm    11/09/12 19:11:20

  Modified:             autotools-utils.eclass
  Log:
  Michał Górny added as co-maintainer, bug #382709

Revision  Changes    Path
1.10                 eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.10&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.10&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.9&r2=1.10

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- autotools-utils.eclass	1 Feb 2011 00:08:19 -0000	1.9
+++ autotools-utils.eclass	12 Sep 2011 19:11:20 -0000	1.10
@@ -1,10 +1,11 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.9 2011/02/01 00:08:19 reavertm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.10 2011/09/12 19:11:20 reavertm Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
 # Maciej Mrozowski <reavertm@gentoo.org>
+# Michał Górny <mgorny@gentoo.org>
 # @BLURB: common ebuild functions for autotools-based packages
 # @DESCRIPTION:
 # autotools-utils.eclass is autotools.eclass(5) and base.eclass(5) wrapper






^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2011-02-01  0:08 Maciej Mrozowski (reavertm)
  0 siblings, 0 replies; 26+ messages in thread
From: Maciej Mrozowski (reavertm) @ 2011-02-01  0:08 UTC (permalink / raw
  To: gentoo-commits

reavertm    11/02/01 00:08:19

  Modified:             autotools-utils.eclass
  Log:
  Pass autotools-utils-src_install args to base_src_install. Requested by Michał Górny.

Revision  Changes    Path
1.9                  eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.9&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.9&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.8&r2=1.9

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.8
retrieving revision 1.9
diff -u -r1.8 -r1.9
--- autotools-utils.eclass	31 Jan 2011 14:09:01 -0000	1.8
+++ autotools-utils.eclass	1 Feb 2011 00:08:19 -0000	1.9
@@ -1,6 +1,6 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.8 2011/01/31 14:09:01 scarabeus Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.9 2011/02/01 00:08:19 reavertm Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
@@ -240,7 +240,7 @@
 
 	_check_build_dir
 	pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null
-	base_src_install
+	base_src_install "$@"
 	popd > /dev/null
 
 	# Remove libtool files and unnecessary static libs






^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2011-01-31 14:09 Tomas Chvatal (scarabeus)
  0 siblings, 0 replies; 26+ messages in thread
From: Tomas Chvatal (scarabeus) @ 2011-01-31 14:09 UTC (permalink / raw
  To: gentoo-commits

scarabeus    11/01/31 14:09:01

  Modified:             autotools-utils.eclass
  Log:
  Support eapi4.

Revision  Changes    Path
1.8                  eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.8&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.8&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.7&r2=1.8

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- autotools-utils.eclass	22 Jan 2011 20:28:53 -0000	1.7
+++ autotools-utils.eclass	31 Jan 2011 14:09:01 -0000	1.8
@@ -1,6 +1,6 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.7 2011/01/22 20:28:53 reavertm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.8 2011/01/31 14:09:01 scarabeus Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
@@ -83,7 +83,7 @@
 # Keep variable names synced with cmake-utils and the other way around!
 
 case ${EAPI:-0} in
-	2|3) ;;
+	2|3|4) ;;
 	*) die "EAPI=${EAPI} is not supported" ;;
 esac
 






^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2011-01-22 20:28 Maciej Mrozowski (reavertm)
  0 siblings, 0 replies; 26+ messages in thread
From: Maciej Mrozowski (reavertm) @ 2011-01-22 20:28 UTC (permalink / raw
  To: gentoo-commits

reavertm    11/01/22 20:28:53

  Modified:             autotools-utils.eclass
  Log:
  Fix another example wrt bug 350423

Revision  Changes    Path
1.7                  eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.7&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.7&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.6&r2=1.7

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- autotools-utils.eclass	20 Jan 2011 00:12:59 -0000	1.6
+++ autotools-utils.eclass	22 Jan 2011 20:28:53 -0000	1.7
@@ -1,6 +1,6 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.6 2011/01/20 00:12:59 reavertm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.7 2011/01/22 20:28:53 reavertm Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
@@ -109,7 +109,7 @@
 # Optional econf arguments as Bash array. Should be defined before calling src_configure.
 # @CODE
 # src_configure() {
-# 	myeconfargs=(
+# 	local myeconfargs=(
 # 		--disable-readline
 # 		--with-confdir="/etc/nasty foo confdir/"
 # 		$(use_enable debug cnddebug)






^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2011-01-20  0:12 Maciej Mrozowski (reavertm)
  0 siblings, 0 replies; 26+ messages in thread
From: Maciej Mrozowski (reavertm) @ 2011-01-20  0:12 UTC (permalink / raw
  To: gentoo-commits

reavertm    11/01/20 00:12:59

  Modified:             autotools-utils.eclass
  Log:
  Suggest myeconfargs to be local variable in example code. Bug 352145

Revision  Changes    Path
1.6                  eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.6&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.6&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.5&r2=1.6

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- autotools-utils.eclass	3 Oct 2010 19:30:22 -0000	1.5
+++ autotools-utils.eclass	20 Jan 2011 00:12:59 -0000	1.6
@@ -1,6 +1,6 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.5 2010/10/03 19:30:22 reavertm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.6 2011/01/20 00:12:59 reavertm Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
@@ -56,7 +56,7 @@
 # )
 #
 # src_configure() {
-# 	myeconfargs=(
+# 	local myeconfargs=(
 # 		$(use_with qt4)
 # 		$(use_enable threads multithreading)
 # 		$(use_with tiff)






^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2010-10-03 19:30 Maciej Mrozowski (reavertm)
  0 siblings, 0 replies; 26+ messages in thread
From: Maciej Mrozowski (reavertm) @ 2010-10-03 19:30 UTC (permalink / raw
  To: gentoo-commits

reavertm    10/10/03 19:30:22

  Modified:             autotools-utils.eclass
  Log:
  Fix myeconfargs quoting, bug 339227. Thanks to Martin von Gagern for reporting.

Revision  Changes    Path
1.5                  eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.5&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.5&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.4&r2=1.5

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- autotools-utils.eclass	12 Sep 2010 21:29:51 -0000	1.4
+++ autotools-utils.eclass	3 Oct 2010 19:30:22 -0000	1.5
@@ -1,6 +1,6 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.4 2010/09/12 21:29:51 reavertm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.5 2010/10/03 19:30:22 reavertm Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
@@ -206,7 +206,7 @@
 	fi
 
 	# Append user args
-	econfargs+=(${myeconfargs[@]})
+	econfargs+=("${myeconfargs[@]}")
 
 	_check_build_dir
 	mkdir -p "${AUTOTOOLS_BUILD_DIR}" || die "mkdir '${AUTOTOOLS_BUILD_DIR}' failed"






^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2010-09-12 21:29 Maciej Mrozowski (reavertm)
  0 siblings, 0 replies; 26+ messages in thread
From: Maciej Mrozowski (reavertm) @ 2010-09-12 21:29 UTC (permalink / raw
  To: gentoo-commits

reavertm    10/09/12 21:29:51

  Modified:             autotools-utils.eclass
  Log:
  Accept user-supplied configure args as phase function parameters as well

Revision  Changes    Path
1.4                  eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.4&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.4&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.3&r2=1.4

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- autotools-utils.eclass	20 Jul 2010 09:49:45 -0000	1.3
+++ autotools-utils.eclass	12 Sep 2010 21:29:51 -0000	1.4
@@ -1,6 +1,6 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.3 2010/07/20 09:49:45 reavertm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.4 2010/09/12 21:29:51 reavertm Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
@@ -211,7 +211,7 @@
 	_check_build_dir
 	mkdir -p "${AUTOTOOLS_BUILD_DIR}" || die "mkdir '${AUTOTOOLS_BUILD_DIR}' failed"
 	pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null
-	base_src_configure "${econfargs[@]}"
+	base_src_configure "${econfargs[@]}" "$@"
 	popd > /dev/null
 }
 






^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2010-07-20  9:49 Maciej Mrozowski (reavertm)
  0 siblings, 0 replies; 26+ messages in thread
From: Maciej Mrozowski (reavertm) @ 2010-07-20  9:49 UTC (permalink / raw
  To: gentoo-commits

reavertm    10/07/20 09:49:45

  Modified:             autotools-utils.eclass
  Log:
  Do not mark EAPI=4 as compatible yet

Revision  Changes    Path
1.3                  eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?r1=1.2&r2=1.3

Index: autotools-utils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- autotools-utils.eclass	19 Jul 2010 16:15:14 -0000	1.2
+++ autotools-utils.eclass	20 Jul 2010 09:49:45 -0000	1.3
@@ -1,6 +1,6 @@
 # Copyright 1999-2010 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.2 2010/07/19 16:15:14 reavertm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.3 2010/07/20 09:49:45 reavertm Exp $
 
 # @ECLASS: autotools-utils.eclass
 # @MAINTAINER:
@@ -83,7 +83,7 @@
 # Keep variable names synced with cmake-utils and the other way around!
 
 case ${EAPI:-0} in
-	2|3|4) ;;
+	2|3) ;;
 	*) die "EAPI=${EAPI} is not supported" ;;
 esac
 






^ permalink raw reply	[flat|nested] 26+ messages in thread
* [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass
@ 2010-07-17 10:42 Maciej Mrozowski (reavertm)
  0 siblings, 0 replies; 26+ messages in thread
From: Maciej Mrozowski (reavertm) @ 2010-07-17 10:42 UTC (permalink / raw
  To: gentoo-commits

reavertm    10/07/17 10:42:55

  Added:                autotools-utils.eclass
  Log:
  Add new eclass, emerge -1 eclass-manpages and see autotool-utils.eclass manual page for details

Revision  Changes    Path
1.1                  eclass/autotools-utils.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.1&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/autotools-utils.eclass?rev=1.1&content-type=text/plain

Index: autotools-utils.eclass
===================================================================
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.1 2010/07/17 10:42:55 reavertm Exp $

# @ECLASS: autotools-utils.eclass
# @MAINTAINER:
# Maciej Mrozowski <reavertm@gentoo.org>
# @BLURB: common ebuild functions for autotools-based packages
# @DESCRIPTION:
# autotools-utils.eclass is autotools.eclass(5) and base.eclass(5) wrapper
# providing all inherited features along with econf arguments as Bash array,
# out of source build with overridable build dir location, static archives
# handling, libtool files removal, enable/disable debug handling.
#
# @EXAMPLE:
# Typical ebuild using autotools-utils.eclass:
#
# @CODE
# EAPI="2"
#
# inherit autotools-utils
#
# DESCRIPTION="Foo bar application"
# HOMEPAGE="http://example.org/foo/"
# SRC_URI="mirror://sourceforge/foo/${P}.tar.bz2"
#
# LICENSE="LGPL-2.1"
# KEYWORDS=""
# SLOT="0"
# IUSE="debug doc examples qt4 static-libs tiff"
#
# CDEPEND="
# 	media-libs/libpng:0
# 	qt4? (
# 		x11-libs/qt-core:4
# 		x11-libs/qt-gui:4
# 	)
# 	tiff? ( media-libs/tiff:0 )
# "
# RDEPEND="${CDEPEND}
# 	!media-gfx/bar
# "
# DEPEND="${CDEPEND}
# 	doc? ( app-doc/doxygen )
# "
#
# # bug 123456
# AUTOTOOLS_IN_SOURCE_BUILD=1
#
# DOCS=(AUTHORS ChangeLog README "Read me.txt" TODO)
#
# PATCHES=(
# 	"${FILESDIR}/${P}-gcc44.patch" # bug 123458
# 	"${FILESDIR}/${P}-as-needed.patch"
# 	"${FILESDIR}/${P}-unbundle_libpng.patch"
# )
#
# src_configure() {
# 	myeconfargs=(
# 		$(use_with qt4)
# 		$(use_enable threads multithreading)
# 		$(use_with tiff)
# 	)
# 	autotools-utils_src_configure
# }
#
# src_compile() {
# 	autotools-utils_src_compile
# 	use doc && autotools-utils_src_compile docs
# }
#
# src_install() {
# 	use doc && HTML_DOCS=("${AUTOTOOLS_BUILD_DIR}/apidocs/html/")
# 	autotools-utils_src_install
# 	if use examples; then
# 		dobin "${AUTOTOOLS_BUILD_DIR}"/foo_example{1,2,3} \\
# 			|| die 'dobin examples failed'
# 	fi
# }
#
# @CODE

# Keep variable names synced with cmake-utils and the other way around!

case ${EAPI:-0} in
	2|3|4) ;;
	*) DEPEND="EAPI-TOO-OLD" ;;
esac

inherit autotools base

EXPORT_FUNCTIONS src_prepare src_configure src_compile src_install src_test

# @ECLASS-VARIABLE: AUTOTOOLS_BUILD_DIR
# @DESCRIPTION:
# Build directory, location where all autotools generated files should be
# placed. For out of source builds it defaults to ${WORKDIR}/${P}_build.

# @ECLASS-VARIABLE: AUTOTOOLS_IN_SOURCE_BUILD
# @DESCRIPTION:
# Set to enable in-source build.

# @ECLASS-VARIABLE: ECONF_SOURCE
# @DESCRIPTION:
# Specify location of autotools' configure script. By default it uses ${S}.

# @ECLASS-VARIABLE: myeconfargs
# @DESCRIPTION:
# Optional econf arguments as Bash array. Should be defined before calling src_configure.
# @CODE
# src_configure() {
# 	myeconfargs=(
# 		--disable-readline
# 		--with-confdir="/etc/nasty foo confdir/"
# 		$(use_enable debug cnddebug)
# 		$(use_enable threads multithreading)
# 	)
# 	autotools-utils_src_configure
# }
# @CODE

# Determine using IN or OUT source build
_check_build_dir() {
	: ${ECONF_SOURCE:=${S}}
	if [[ -n ${AUTOTOOLS_IN_SOURCE_BUILD} ]]; then
		AUTOTOOLS_BUILD_DIR="${ECONF_SOURCE}"
	else
		: ${AUTOTOOLS_BUILD_DIR:=${WORKDIR}/${P}_build}
	fi
	echo ">>> Working in BUILD_DIR: \"$AUTOTOOLS_BUILD_DIR\""
}

# @FUNCTION: remove_libtool_files
# @USAGE: [all|none]
# @DESCRIPTION:
# Determines unnecessary libtool files (.la) and libtool static archives (.a)
# and removes them from installation image.
# To unconditionally remove all libtool files, pass 'all' as argument.
# To leave all libtool files alone, pass 'none' as argument.
# Unnecessary static archives are removed in any case.
#
# In most cases it's not necessary to manually invoke this function.
# See autotools-utils_src_install for reference.
remove_libtool_files() {
	debug-print-function ${FUNCNAME} "$@"

	local f
	for f in $(find "${D}" -type f -name '*.la'); do
		# Keep only .la files with shouldnotlink=yes - likely plugins
		local shouldnotlink=$(sed -ne '/^shouldnotlink=yes$/p' "${f}")
		if [[  "$1" == 'all' || -z ${shouldnotlink} ]]; then
			if [[ "$1" != 'none' ]]; then
				echo "Removing unnecessary ${f}"
				rm -f "${f}"
			fi
		fi
		# Remove static libs we're not supposed to link against
		if [[ -n ${shouldnotlink} ]]; then
			local remove=${f/%.la/.a}
			[[ "${f}" != "${remove}" ]] || die 'regex sanity check failed'
			echo "Removing unnecessary ${remove}"
			rm -f "${remove}"
		fi
	done
}

# @FUNCTION: autotools-utils_src_prepare
# @DESCRIPTION:
# The src_prepare function.
#
# Supporting PATCHES array and user patches. See base.eclass(5) for reference.
autotools-utils_src_prepare() {
	debug-print-function ${FUNCNAME} "$@"

	base_src_prepare
}

# @FUNCTION: autotools-utils_src_configure
# @DESCRIPTION:
# The src_configure function. For out of source build it creates build
# directory and runs econf there. Configuration parameters defined
# in myeconfargs are passed here to econf. Additionally following USE
# flags are known:
#
# IUSE="debug" passes --disable-debug/--enable-debug to econf respectively.
#
# IUSE="static-libs" passes --enable-shared and either --disable-static/--enable-static
# to econf respectively.
autotools-utils_src_configure() {
	debug-print-function ${FUNCNAME} "$@"

	# Common args
	local econfargs=()

	# Handle debug found in IUSE
	if has debug ${IUSE//+}; then
		econfargs+=($(use_enable debug))
	fi

	# Handle static-libs found in IUSE, disable them by default
	if has static-libs ${IUSE//+}; then
		econfargs+=(
			--enable-shared
			$(use_enable static-libs static)
		)
	fi

	# Append user args
	econfargs+=(${myeconfargs[@]})

	_check_build_dir
	mkdir -p "${AUTOTOOLS_BUILD_DIR}" || die "mkdir '${AUTOTOOLS_BUILD_DIR}' failed"
	pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null
	base_src_configure "${econfargs[@]}"
	popd > /dev/null
}

# @FUNCTION: autotools-utils_src_compile
# @DESCRIPTION:
# The autotools src_compile function, invokes emake in specified AUTOTOOLS_BUILD_DIR.
autotools-utils_src_compile() {
	debug-print-function ${FUNCNAME} "$@"

	_check_build_dir
	pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null
	base_src_compile "$@"
	popd > /dev/null
}

# @FUNCTION: autotools-utils_src_install
# @DESCRIPTION:
# The autotools src_install function. Runs emake install, unconditionally
# removes unnecessary static libs (based on shouldnotlink libtool property)
# and removes unnecessary libtool files when static-libs USE flag is defined
# and unset.
#
# DOCS and HTML_DOCS arrays are supported. See base.eclass(5) for reference.
autotools-utils_src_install() {
	debug-print-function ${FUNCNAME} "$@"

	_check_build_dir
	pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null
	base_src_install
	popd > /dev/null

	# Remove libtool files and unnecessary static libs
	local args
	has static-libs ${IUSE//+} && ! use static-libs || args='none'
	remove_libtool_files ${args}
}

# @FUNCTION: autotools-utils_src_test
# @DESCRIPTION:
# The autotools src_test function. Runs emake check in build directory.
autotools-utils_src_test() {
	debug-print-function ${FUNCNAME} "$@"

	_check_build_dir
	pushd "${AUTOTOOLS_BUILD_DIR}" > /dev/null
	# Run default src_test as defined in ebuild.sh
	default_src_test
	popd > /dev/null
}






^ permalink raw reply	[flat|nested] 26+ messages in thread

end of thread, other threads:[~2014-07-31 23:25 UTC | newest]

Thread overview: 26+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2011-09-16 15:38 [gentoo-commits] gentoo-x86 commit in eclass: autotools-utils.eclass Michal Gorny (mgorny)
  -- strict thread matches above, loose matches on Subject: below --
2014-07-31 23:24 Maciej Mrozowski (reavertm)
2012-06-08 17:50 Michal Gorny (mgorny)
2011-10-14 20:28 Michal Gorny (mgorny)
2011-09-23  7:56 Michal Gorny (mgorny)
2011-09-18 21:03 Michal Gorny (mgorny)
2011-09-18  7:57 Michal Gorny (mgorny)
2011-09-18  7:57 Michal Gorny (mgorny)
2011-09-16 15:38 Michal Gorny (mgorny)
2011-09-16 15:38 Michal Gorny (mgorny)
2011-09-16 15:38 Michal Gorny (mgorny)
2011-09-16 15:37 Michal Gorny (mgorny)
2011-09-16 15:37 Michal Gorny (mgorny)
2011-09-16 15:33 Michal Gorny (mgorny)
2011-09-16 15:29 Michal Gorny (mgorny)
2011-09-16 15:20 Michal Gorny (mgorny)
2011-09-12 20:32 Michal Gorny (mgorny)
2011-09-12 19:11 Maciej Mrozowski (reavertm)
2011-02-01  0:08 Maciej Mrozowski (reavertm)
2011-01-31 14:09 Tomas Chvatal (scarabeus)
2011-01-22 20:28 Maciej Mrozowski (reavertm)
2011-01-20  0:12 Maciej Mrozowski (reavertm)
2010-10-03 19:30 Maciej Mrozowski (reavertm)
2010-09-12 21:29 Maciej Mrozowski (reavertm)
2010-07-20  9:49 Maciej Mrozowski (reavertm)
2010-07-17 10:42 Maciej Mrozowski (reavertm)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox